@echo off
cd /D "%~dp0"
SET PATH=%PATH%;lib
cls
echo.
echo =====================================================================
echo              -- FREE HTC HERMES UNLOCKER v3a by pof --
echo No warranties of any kind are given. Any commercial usage prohibited.
echo.
echo This unlocker will remove the Operator SIM lock and CID lock from
echo HTC Hermes based telephones, it can be used in all HTC Hermes devices
echo.
echo (c) 2006-2007 xda-developers.com
echo.
echo Thanks to: 
echo                  Des, buzz_lightyear, itsme, vijay555, arc, Asukal,
echo                  machinagod, esteve, Olipro, etc...
echo =====================================================================
echo.
echo Note that the automatic unlocking process only works under Windows XP/2000.
echo See Instructions.txt if you have other Operating System.
echo.
echo Turn phone on and connect to pc, make sure activesync is enabled
echo You should see ActiveSync green icon in system tray (guest partnership is OK)
echo.
echo Watch your phone screen, answer YES if you are prompted to execute any
echo untrusted program on it.
echo.
pause
echo.
@set /P dummy="Initializing"<NUL 
lib\cecopy lib\EnableRapi.cab dev:\ >NUL
@set /P dummy="."<NUL 
lib\cecopy lib\Cert_SPCS.cab dev:\ >NUL
@set /P dummy="."<NUL
lib\cecopy SSPL\SSPL-HERM.exe dev:\ >NUL
@set /P dummy="."<NUL
lib\cecopy UNLOCK\HERM_Unlock_v3.exe dev:\ >NUL
@set /P dummy="."<NUL
lib\cerun.exe -b CE:\Windows\wceload.exe \Cert_SPCS.cab /noui >NUL
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
lib\cerun.exe -b CE:\Windows\wceload.exe \EnableRapi.cab /noui >NUL
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL
lib\cerun.exe -b CE:\SSPL-HERM.exe >NUL
echo ok!
echo.
echo Rom Upgrade Utility will start now, it will guide you to flash special patched
echo radio on your phone, make sure your phone screen shows a TRI-COLOR screen with
echo SSPL by Des first and HardSPL-1.40 by Olipro later.
echo Check the "I understand..." and "I completed..." boxes and update!
echo.
pause
echo.
cd RUU
RUU_HERM_Unlock_v3a.exe
cd ..
echo.
echo Follow the process in this window when the update utility ends.
echo.
pause
echo.
echo If radio upgrade went fine, wait until your phone reboots and make sure
echo ActiveSync is enabled again (you should see green icon in system tray)
echo.
pause
echo.
echo Watch your phone screen, answer YES if you are prompted to execute any
echo untrusted program on it.
echo.
pause
echo.
@set /P dummy="Running unlocker"<NUL 
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
PING 1.1.1.1 -n 1 -w 4000 >NUL
@set /P dummy="."<NUL 
lib\cerun.exe -b CE:\HERM_Unlock_v3.exe >NUL
cls
echo.
echo HERMES Unlockver v3a is running on your phone:
echo.
echo Click the Unlock Button, select unlock option.
echo Select the options you want to perform:
echo  SIM Unlock: will remove SIM/Network lock so you can use any operator SIM card
echo  CID Unlock: will make your phone SuperCID forever, don't check this if you
echo              are unsure. HardSPL will do same effect without loosing warranty.
echo click "Unlock!" and wait until process finishes
echo.
echo When done, turn off your phone for 10 seconds and reboot after that.
echo.
echo If you find this useful please conisdere giving a donation to the author
echo by visiting this page and click on the paypal button:
echo.
echo http://pof.eslack.org/hermes-unlocker/
echo.
echo.
echo Press any key to quit
pause
